Perform OCR and ID Verification
The OCR + ID Verification service enables simultaneous Optical Character Recognition and Identity Verification. By including both "ocr" and "idVerification" in the operations list, and supplying the necessary data, users can initiate the processes.
The API concurrently performs both operations and returns the extracted information and verification results.
API Description
POST https://{vida-host}/api/v1/verify
Headers
Content-Type
Format type of request body
Authentication*
String
Bearer <Token>
Request Body
operations*
String
["ocr", "idVerification"]
payload*
String
{
"partnerTrxId": "random-uuid",
"groupId": "random-uuid",
"country": "country code",
"idType": "ID_TYPE",
"idSubtype": "IDSubType",
"idFrontSideImage": "Base64 encoded image of ID frontside"
}
userConsent*
String
{
"userIp": "0.0.0.0",
"country": "MYS",
"obtained": true,
"obtainedAt": "1680700959"
}
Sample Request and Response
Example request and response formats are listed below for Malaysian cards, KTP cards and Passports.
Malaysian Cards
Request
Success Response
HTTP Status Code: 200
KTP
Request
Success Response
HTTP Status Code: 200
Passport
Request
Success Response
HTTP Status Code: 200
Last updated
